package de.ugoe.cs.util.console.mock.commands;

import java.security.InvalidParameterException;
import java.util.List;

import de.ugoe.cs.util.console.Command;
import de.ugoe.cs.util.console.Console;

public class CMDmockCommand implements Command {

	@Override
	public void run(List<Object> parameters) {
		switch (parameters.size()) {
		case 0:
			Console.println("mock command: run");
			break;
		case 1:
			throw new InvalidParameterException();
		default:
			throw new RuntimeException();
		}
	}

	@Override
	public String help() {
		return "mock command: help";
	}

}
